# FilePermission (sshj 0.5.0 API)
Date: 2011-07-27

## net.schmizz.sshj.xfer
Enum FilePermission

    java.lang.Object
      java.lang.Enum<FilePermission>
          net.schmizz.sshj.xfer.FilePermission

All Implemented Interfaces:
  Serializable, Comparable<FilePermission>

    public enum FilePermission

extends Enum<FilePermission>

Enum Constant Summary
`GRP_R` read permission, group
`GRP_RWX` read, write, execute/search by group
`GRP_W` write permission, group
`GRP_X` execute/search permission, group
`OTH_R` read permission, others
`OTH_RWX` read, write, execute/search by other
`OTH_W` write permission, others
`OTH_X` execute/search permission, group
`SGID` set-group-ID on execution
`STICKY` on directories, restricted deletion flag
`SUID` set-user-ID on execution
`USR_R` read permission, owner
`USR_RWX` read, write, execute/search by user
`USR_W` write permission, owner
`USR_X` execute/search permission, owner

Method Summary
`static Set<FilePermission>` `fromMask(int mask)`
`boolean` `isIn(int mask)`
`static int` `toMask(Set<FilePermission> perms)`
`static FilePermission` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FilePermission[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### USR_R

    public static final FilePermission USR_R

  read permission, owner

### USR_W

    public static final FilePermission USR_W

  write permission, owner

### USR_X

    public static final FilePermission USR_X

  execute/search permission, owner

### GRP_R

    public static final FilePermission GRP_R

  read permission, group

### GRP_W

    public static final FilePermission GRP_W

  write permission, group

### GRP_X

    public static final FilePermission GRP_X

  execute/search permission, group

### OTH_R

    public static final FilePermission OTH_R

  read permission, others

### OTH_W

    public static final FilePermission OTH_W

  write permission, others

### OTH_X

    public static final FilePermission OTH_X

  execute/search permission, group

### SUID

    public static final FilePermission SUID

  set-user-ID on execution

### SGID

    public static final FilePermission SGID

  set-group-ID on execution

### STICKY

    public static final FilePermission STICKY

  on directories, restricted deletion flag

### USR_RWX

    public static final FilePermission USR_RWX

  read, write, execute/search by user

### GRP_RWX

    public static final FilePermission GRP_RWX

  read, write, execute/search by group

### OTH_RWX

    public static final FilePermission OTH_RWX

  read, write, execute/search by other

Method Detail

### values

    public static FilePermission[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FilePermission c : FilePermission.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FilePermission valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### isIn

    public boolean isIn(int mask)

### fromMask

    public static Set<FilePermission> fromMask(int mask)

### toMask

    public static int toMask(Set<FilePermission> perms)

Copyright © 2009-2011. All Rights Reserved.